# FairMQ: fair::mq::zmq::Socket Class Reference

fair::mq::zmq::Socket Class Referencefinal
Inheritance diagram for fair::mq::zmq::Socket:
[legend]
Collaboration diagram for fair::mq::zmq::Socket:
[legend]

## Public Member Functions

| Socket (Context &ctx, const std::string &type, const std::string &name, const std::string &id, FairMQTransportFactory *factory=nullptr)
| Socket (const Socket &)=delete
Socket | operator= (const Socket &)=delete
std::string | GetId () const override
bool | Bind (const std::string &address) override
bool | Connect (const std::string &address) override
bool | ShouldRetry (int flags, int timeout, int &elapsed) const
int | HandleErrors () const
int64_t | Send (MessagePtr &msg, const int timeout=-1) override
int64_t | Receive (MessagePtr &msg, const int timeout=-1) override
int64_t | Send (std::vector< std::unique_ptr< fair::mq::Message >> &msgVec, const int timeout=-1) override
int64_t | Receive (std::vector< std::unique_ptr< fair::mq::Message >> &msgVec, const int timeout=-1) override
void * | GetSocket () const
void | Close () override
void | SetOption (const std::string &option, const void *value, size_t valueSize) override
void | GetOption (const std::string &option, void *value, size_t *valueSize) override
void | Events (uint32_t *events) override
void | SetLinger (const int value) override
int | GetLinger () const override
void | SetSndBufSize (const int value) override
int | GetSndBufSize () const override
void | SetRcvBufSize (const int value) override
int | GetRcvBufSize () const override
void | SetSndKernelSize (const int value) override
int | GetSndKernelSize () const override
void | SetRcvKernelSize (const int value) override
int | GetRcvKernelSize () const override
unsigned long | GetBytesTx () const override
unsigned long | GetBytesRx () const override
unsigned long | GetMessagesTx () const override
unsigned long | GetMessagesRx () const override
Public Member Functions inherited from FairMQSocket
| FairMQSocket (FairMQTransportFactory *fac)
virtual int64_t | Send (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, int timeout=-1)=0
virtual int64_t | Receive (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, int timeout=-1)=0
FairMQTransportFactory * | GetTransport ()
void | SetTransport (FairMQTransportFactory *transport)

## Static Public Member Functions

static int | GetConstant (const std::string &constant)

## Member Function Documentation

## Events()

void fair::mq::zmq::Socket::Events | ( | uint32_t * | events | ) |

inlineoverridevirtual

If the backend supports it, fills the unsigned integer events with the ZMQ_EVENTS value DISCLAIMER: this API is experimental and unsupported and might be dropped / refactored in the future.

Implements FairMQSocket.

The documentation for this class was generated from the following file:

- fairmq/zeromq/Socket.h

privacy